Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml
Class NamespaceMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              com.dbxml.xml.NamespaceMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public final class NamespaceMap
extends java.util.HashMap

NamespaceMap is just a HashMap extension that provides some useful Namespace related functionality.

See Also:
  Serialized Form

Constructor Summary
`NamespaceMap()`
`NamespaceMap(java.util.Map map)`

Method Summary
`void` | `clearNamespaces()`
`org.w3c.dom.Element` | `getContextNode()`
`java.lang.String` | `getDefaultNamespaceURI()`
`java.lang.String` | `getNamespaceURI(java.lang.String prefix)`
`void` | `includeNamespaces(java.util.Map nsMap, boolean override)`
`static boolean` | `isNamespaceDeclaration(org.w3c.dom.Attr attr)`
`static boolean` | `isNamespaceDeclaration(java.lang.String name)`
`void` | `removeDefaultNamespace()`
`void` | `removeNamespace(java.lang.String prefix)`
`void` | `setDefaultNamespace(java.lang.String uri)`
`void` | `setNamespace(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### NamespaceMap

    public NamespaceMap()

### NamespaceMap

    public NamespaceMap(java.util.Map map)

Method Detail

### isNamespaceDeclaration

    public static boolean isNamespaceDeclaration(java.lang.String name)

### isNamespaceDeclaration

    public static boolean isNamespaceDeclaration(org.w3c.dom.Attr attr)

### getContextNode

    public org.w3c.dom.Element getContextNode()

### clearNamespaces

    public void clearNamespaces()

### getDefaultNamespaceURI

    public java.lang.String getDefaultNamespaceURI()

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String uri)

### setNamespace

    public void setNamespace(java.lang.String prefix,
                             java.lang.String uri)

### removeDefaultNamespace

    public void removeDefaultNamespace()

### removeNamespace

    public void removeNamespace(java.lang.String prefix)

### includeNamespaces

    public void includeNamespaces(java.util.Map nsMap,
                                  boolean override)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group